<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.quality.mapper.QualityLspzMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.quality.entity.QualityLspz">
                    <id column="ID" property="id" />
                    <result column="BH" property="bh" />
                    <result column="MC" property="mc" />
                    <result column="SCBS" property="scbs" />
                    <result column="NWWBS" property="nwwbs" />
                    <result column="TBBS" property="tbbs" />
                    <result column="XGR" property="xgr" />
                    <result column="XGSJ" property="xgsj" />
        </resultMap>

    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  quality_lspz
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>